mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
* [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver
@ 2018-05-22 17:05 Jeffrin Jose T
  2018-05-24 16:41 ` Shuah Khan
  0 siblings, 1 reply; 4+ messages in thread
From: Jeffrin Jose T @ 2018-05-22 17:05 UTC (permalink / raw)
  To: shuah, gregkh, daniel.diaz, thomas, pombredanne
  Cc: linux-kselftest, linux-kernel, Jeffrin Jose T, Jeffrin Jose T

fix for notification of permission requirement to run test.
fix for exit status value for test skipped.

Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
---
 tools/testing/selftests/intel_pstate/run.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 6ded61670f6d..4ddd389c2cb9 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -33,6 +33,12 @@ EVALUATE_ONLY=0
 # Kselftest framework requirement - SKIP code is 4.
 ksft_skip=4
 
+msg="skip all tests:"
+if [ $UID != 0 ] && [ $EVALUATE_ONLY == 0 ]; then
+    echo $msg please run this as root >&2
+    exit $ksft_skip
+fi
+
 if ! uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ | grep -q x86; then
 	echo "$0 # Skipped: Test can only run on x86 architectures."
 	exit $ksft_skip
-- 
2.17.0

^ permalink raw reply	[flat|nested] 4+ messages in thread
* [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver
@ 2018-05-10 18:49 Jeffrin Jose T
  0 siblings, 0 replies; 4+ messages in thread
From: Jeffrin Jose T @ 2018-05-10 18:49 UTC (permalink / raw)
  To: shuah, kstewart, daniel.diaz, pombredanne, gregkh, thomas
  Cc: linux-kselftest, linux-kernel, Jeffrin Jose T, Jeffrin Jose T

fix for notification of permission requirement to run test.
fix for exit status value for test skipped.

Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
---
 tools/testing/selftests/intel_pstate/run.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 6ded61670f6d..4ddd389c2cb9 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -33,6 +33,12 @@ EVALUATE_ONLY=0
 # Kselftest framework requirement - SKIP code is 4.
 ksft_skip=4
 
+msg="skip all tests:"
+if [ $UID != 0 ] && [ $EVALUATE_ONLY == 0 ]; then
+    echo $msg please run this as root >&2
+    exit $ksft_skip
+fi
+
 if ! uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ | grep -q x86; then
 	echo "$0 # Skipped: Test can only run on x86 architectures."
 	exit $ksft_skip
-- 
2.17.0

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2018-05-24 20:23 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-05-22 17:05 [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver Jeffrin Jose T
2018-05-24 16:41 ` Shuah Khan
2018-05-24 20:23   ` Jeffrin Thalakkottoor
  -- strict thread matches above, loose matches on Subject: below --
2018-05-10 18:49 Jeffrin Jose T

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®